History

Version 1.2.1 / 08.11.2005
==========================
- using newest API 6.6.0.1
- minor changes for background erase
- removed releases for Nero 5.5 and 6.0

Version 1.2.0 / 29.03.2005
==========================
- bugfix for non closing save image file dialog
  when using Image recorder and pressing cancel button
- default source directory (stored in ini file)

Version 1.1.9 / 21.03.2005
==========================
- don't write short lead out on DVD-R media
- only API 6.3: if DVD-ROM booktype option isn't set,
  setting of booktype will not be touched
  (useful if you set booktype using an external program)

Version 1.1.8 / 31.01.2005
==========================
- bugfix for segfault while erase rw media
- fixed display problems with color bar
- window size optimized for smaller screens (800x600)
- fixed "record button" glitch
- added verify checkbox in main dialog
- write standard leadout (no short leadout)

Version 1.1.6 / 27.09.2004
==========================
- (hopefully) bugfix for segfault while erasing
- eject button added
- new 6.3 API for double layer support
- new color bar
- bugfix for not inserting Volume Label

Version 1.1.5 / 07.05.2004
==========================
- bugfix for shutdown problem on Win9x/Me
- bugfix for wrong desktop folder on Win9x/Me
- progress bar for source size
- source size limit can be changed
- file time problem fixed
- save ini file on changed settings

Version 1.1.4 / 29.03.2004
==========================
- source code compatible
  to old APIs
- newest version of ImgTool Burn
  also available for Nero 5.5.x
- some memory leaks closed

Version 1.1.3 / 23.03.2004
==========================
- get VolumeID from drive
- Using NeroAPI 6.3.0.0

Version 1.1.2 / 25.02.2004
==========================
- play WAV sound if burning
  has completed
- add field to count chars
  in volume box
- forced shutdown in settings added
- forced "only 16 char Volume" in settings added
- ask "are you sure...?" if burn abort was pressed
- add field in about dialog
  for translater

Version 1.1.1 / 29.01.2004
==========================
- language file support added
- language changeable within the dialog window
- Shutdown can be disabled even if burning was started
- better check/convert Volume Label
- detect Volume Label from source directory
- XP Style buttons
- improved installer

Version 1.1.0 / 28.11.2003
==========================
- "clear log button" added
- bugfix "Insert Blank media" issue

Version 1.00.9 / 21. + 28.09.2003
=================================
- drag'n'drop of VIDEO_TS dir possible
- small bugfix while building ISO tree
- small bugfix for DVD default button
- (hopefully) better erase handling
  for rewriteable media
- startpath error fixed (28.09.2003)

Version 1.00.8 / 11.08.2003
===========================
- never official released
- try bugfixing for Volume label "new"
  but this was an API bug which is fixed
  since Nero 6.0.0.11

Version 1.00.7 / 07.08.2003
===========================
- new NeroAPI 6.0.0.0
- official support for Nero 6.0.x.x
- ISO 9660 is enabled by default
  (NeroAPI Bug was fixed in Nero 6)
- setting DVD-ROM Booktype now possible
  (Menu "Other Settings")
- you now need at least Nero 5.5.10.7!

Version 1.00.6 / 14.07.2003
===========================
- installer used
- context mode added
- cl error handling improved

Version 1.00.5 / 10.07.2003
===========================
- yes, I'm still alive ;)
- percent display in title bar added
- command line processing added
- display only supported devices
- UDF only file system is the new default
- some improvements
- bugfixes
- and possible new bugs added...

Version 1.00.4 / 18.03.2003
===========================
- Speed Reload button reloads the API
  and list now all possible speeds
- Shutdown after write added
  (only if burning was successful)
- erasing a rewritable no more blocks/freeze
  complete dialog (using threads)

Version 1.00.3 / 05.03.2003
===========================
- BugFix: writing on ImageRecorder fixed

Version 1.00.2 / 26.02.2003
===========================
- using NeroAPI 5.5.9.14
- better handling non empty media
- Speed Reload Button added
  (to get supportet speed for new inserted media)
- More burning options with new menu entry
  "Other Settings" (also stored in ini file)

Version 1.00.1 / 24.02.2003
===========================
- function to obtain the speed
  changed

Version 0.99.9 / 11.01.2003
===========================
- close every find handle
  (hope now the source DVD Root can be deleted
  without restarting windows)
- Don't change Speed after
  "automatical reallocation OFF"
- choosed Speed is now saved in ini file

Version 0.99.8 / 04.01.2003
===========================
- If reallocation fails the message box appears
  but from an external function. The burn function
  is started again but NOT in recursive mode.
  (Hope this will help 2COOL)
- missing video_ts.vob will be ignored
- workaround for NeroAPI LogLine Bug

Version 0.99.7 / 18.12.2002
===========================
- filesystem flags can be changed
- "save actual settings" possible
- if reallocation doesn't work, ImgTools
  brings up a dialog which asks if you would
  try to burn without reallocation

Version 0.99.5 / 13.12.2002
===========================
- a friday 13th release ;)
- bug fix in "Phase"/"Logline" report of log
- better handling non empty DVD/CD media
- Image file will use the same name as Volume Label

Version 0.99.4 / 10.12.2002
===========================
- "reallocate VTS..." checked per default
  (see "help" ==> "FAQ" for details)
- new Button "save log"
- extended help
- slightly XP styled ;)

Version 0.99.3 / 23.11.2002
===========================
- mux and demux functions removed
  (the DLLs were removed due to copyright issues)
- improved DVD ISO tree function
  + supports JACKET_P dir
  + import any other dir/file in the DVD-Root
- Total/Remaining Time added
- warnings for missing files (no break while ISO tree creation)
- minimize button activated
- bugfix: wrong information for missing files displayed
- new help added

Version 0.99.2 / 19.11.2002
===========================
- new DVD ISO build function
  + sort files
  + generates VIDEO_TS dir if needed
  + no AUDIO_TS dir is needed anymore
- Reallocation of VIDEO_TS is disabled by default
  (needed for burning uncomplete DVD Rool DIRs)

Version 0.99.1 / 17.11.2002
===========================
- write speed selection possible
- BugFix: Checkbox "High Compatibility" doesn't work (uncheck)
- Check Volume Name for illegal chars
- deactivate DVD/CD caller at NeroAPI reset
- disable "High Compatibility Mode" when using CD settings

Version 0.99 / 15.11.2002
=========================
- new libs for muxing and demuxing
- burn possibility with NeroAPI added

Version 0.89 / 28.05.2002
=========================
- BugFix: dir dialog doesn't depend from main application
- muxing and demuxing included

Version 0.85
============
- uses ImgLib from Authoringware to create dvd compatible DVD Images


Contact

You can contact me either via Mail:
coujo@gmx.net

Or you can visit my Homepage (and donate some $$$ [image])
http://www.coujo.de


Warum ImgTool?

Why ImgTool Burn?

ImgTool Burn uses the NeroAPI (from Nero Burning Rom) to write DVD root directories to DVD.

It's possible the easiest way to create a DVD Video compatible disc with your DVD recorder.

It also has some other advantages - use it and you will know and maybe love it!


Requirements

What do I need to run ImgTool?

  • a PC

  • M$ Windows Version 98 or higher

  • An installed Nero Burning Rom 6.3.x or better.

    Get a free Demo ...

  • some time to learn something about DVDs

  • Since ImgTool Burn version 1.1.4 there are different versions of ImgTool for the different versions of Nero.

    So choose the ImgTool which fits your need:
    • Nero 6.3.x.x ==> ImgTool Burn 1.2.1 (API 6.3)
    • Nero 6.6.x.x - 7.x.x.x ==> ImgTool Burn 1.2.1 (API 6.6)


Usage of ImgTool

Howto use the ImgTool?

  • 1. choose the media you want to burn (CD or DVD)
  • 2. choose a device (if possible your Recorder [image] )

    device list

  • press the "Directory" button...

    ... Button

  • choose your DVD Root directory...

    choose dir
    Note: You can either choose the directory where your VIDEO_TS folder is located
    or you can choose the directory where your vob files are located.
    Only if you choose a real DVD Root directory (with included VIDEO_TS folder),
    JACKET_P dir is supported.

  • Type a volume label for your DVD (Note: ISO 9660 supported chars only!)
    Right beside the volume box you can see the "Volume Length Countdown".
    If you Check the "Shutdown" Checkbox, Windows will shutdown if your
    burn process was successful. In that case the log file will be stored.

    Volume

  • Press the burn button...

    Burn

  • Watch the progress bar...

    progress

  • ... or take a Beer or two


ImgTool Settings

  • 1. Click on "Settings" (in the upper left)
    Here you can save your settings or go to Flag Dialog or Other Settings.

    Menu

  • 2. You can choose your language. The changes take effect right after clicking on the "OK" button.
    (btw: These *.lng files are plain text files. So it's easy possible to translate ImgTool into your favourite language.)

    Sprache

  • 3. In the Flags Dialog you can choose the flags you need.
    You can use the cDVD and the DVD button to check the default settings for your media.
    If you select CD or DVD in Main window, the flags are automatically set.

    Flags

  • 4. In the Other Settings Dialog you can set some extra burn settings.

    Burn Settings

  • 5. In the Audio section you can select WAV files which would be played on success or error.

    Audio Settings

  • 6. If you have saved the your setings, ImgTool will startup with
    saved settings (default device, flags)


ImgTool Burn Command Line Mode

Command Line Mode

Since version 1.00.5 "ImgTool Burn" supports the command line mode.
But you have to know some important things:
  • You have to start ImgTool at least one time to set it up. Choose your recorder, the write speed, the flags you like and save the settings.

  • ImgTool will load the ini file at startup also if you run it in command line mode.

  • Place the media you like to burn into the recorder before you start ImgTool in command line mode.

  • Use following command line options:
    • -d "d:\your\DVD root dir"
      This is the directory where your VIDEO_TS folder is located. If the directory name contains spaces, use quotes (") to encapsulate it.
    • -v volume_label
      The name of your burned DVD...
    • -s
      Shutdown Windows if burning has completed.
    • -e
      Don't eject media after burning.
    • -o
      Don't ask before overwrite rewriteable.
    • -l
      Save log file automatically. Log file saved in same dir as ImgTool.exe.

  • If you run ImgTool in command line mode without any saved settings, ImgTool will start with following defaults:
    • use DVD media
    • use highest possible burn speed
    • use UDF only mode
    • eject media after writing
    ...so if you don't like these settings, do the one time setup as above desribed.

  • Example:

    ImgTool -s -d e:\dvd -v silence_of_the_lambs -o -e

    This will burn a DVD labeled SILENCE_OF_THE_LAMBS from the VIDEO_TS files located in e:\dvd, rewriteable media will be overwritten without any interaction, after burn the media will not be ejected, Windows shuts down.


ImgTool Burn Context Mode

Context Mode

The "Context Mode" is only a subtype of the "Command Line Mode". This Mode allows you to burn your DVD Root with only a few mouse clicks...

HowTo use this?

context menu

Only right click on a drive or directory. In the upcoming menu you'll see an option called "Burn with ImgTool...". Choose this option to open the ImgTool dialog, complete the settings and start the burn process...


Frequently Asked Questions (FAQ)

Frequently Asked Qusetions

  • F: What's the problem with "reallocate"?
    A: ...not that easy answer. I've made many tests and got problems with the reallocate option enabled only if anything goes really wrong.
    You can uncheck this option and maybe your created DVD will play on some Stand-Alone players but there are definitive some problems with your DVD Root.
    So Note: If reallocation fails, your DVD Root directory is not 100 percent ok!

  • F: How can I sort the VTS files?
    A: The file sorting is needed to put the files in right order on your DVD, so your DVD Player can find the needed information at the right place.
    It doesn't matter if you check or uncheck reallocate, ImgTool will sort the VTS files for you.

  • F: Nice Tool, but it doesn't start...
    A: You need an installed version of Nero Burning Rom 5.5.9.14 or better to run ImgTool. If you have installed Nero and ImgTool doesn't run, try to reinstall Nero. This will help in most cases.

  • F: Nero knows my recorder but ImgTool doesn't...
    A: Hm... interesting problem...
    Have a look at the Log window. Try to find something like "illegal serial number". Have you found that string? There is the problem. Nero may run without problems even if you use an illegal serial, but the API doesn't! Use your own legal serial number and ImgTool will know your recorder too.

  • F: Why don't you burn real Image files to DVD?
    A: That was also my first idea: use the generated images from the ImgLib and burn this image with the Nero API. Nice idea, but... the Nero API can't burn DVD images in that version. Nero can but this features isn't implemented in the API yet. Only burning of CD Images is possible. But - of course - if anytime the API supports burning of DVD images, ImgTool will support it too.

  • F: "High Compatibility Mode"... what...?
    A: If you leave this checkbox checked, ImgTool will burn at least 1GB of data to your DVD. This is because some players have problems with lesser data.

  • F: Have you stolen any code from Derrows DVDBurn?
    A: No! I'm not a thief! Yes, the idea to use the Nero API comes from Derrow but I never took Derrows code to implement this feature to ImgTool.

  • F: Why you change the default filesystem flags almost every version?
    A: Until NeroAPI 1.02/Nero 5.5.10.42 there was a bug which also creates a Joliet tree in the filesystem if you check ISO and UDF. Therefor I've decided to disable ISO per default. But many people report problems with disabled ISO tree. With Nero 6 the Joliet problem seems to be fixed and therefor ISO is on again per default.

  • F: Which characters are allowed in the Volume?
    A: Only ABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789 are allowed but you can also use lowercase characters, ImgTool will convert all lowercase characters to uppercase.

  • F: Which Nero Version is the best one?
    A: A "DVD Standalone specialist", named Artemis (dv-rec.de) has tested various combinations of Nero and ImgTool and found something very interesting: You'll get best results with Nero 5.5.10.7b or better. The initial 5.5.10.0 version was really worse in DVD compatibility but with the 5.5.10.7b version almost every problem seems to be fixed! For best results use Nero 6.0.0.23 or above.

  • F: Is Dual-Layer-Recording supported?
    A: ImgTool Burn supports Dual-Layer-Recording officially since version 1.1.6. But you need at least Nero 6.3 (and the maching ImgTool Burn version!).


Read-Only Disc File Format

DVD Read-Only Disc File Format

1. Structure of the DVD-ROM Logical Format

The file format of the DVD-ROM family is common to DVD-ROM (computer applications), DVD-Video, and DVD-Audio discs. This makes it possible to handle the same content in the same way on both consumer-oriented stand-alone devices and computer systems.

However, there are a few minor restrictions on the file system for DVD-Video and DVD-Audio. This is to make it possible to play these discs on stand-alone devices which use simple software.

2. Overview of the DVD-ROM File Format

DVD-ROM uses the UDF (Universal Disk Format), but can also be accessed using ISO-9660, to provide compatibility with previous systems. This hybrid file system is called "UDF Bridge." As both file systems are able to access any file on the disc, all content on the disc can be accessed by using either file system.

3. Relationship with the Application Format

The files used for DVD-Video and DVD-Audio are arranged in directories called VIDEO_TS and AUDIO_TS, respectively. The files in these directories have predetermined names and extensions. Files with the extension ".IFO" contain application information needed to reproduce the content. For each ".IFO" file there is always a back-up file with the same name but the ".BUP" extension. Files with the ".VOB" extension contain the actual video or audio content.


How do I add jacket cover images to my disc?

Jacket cover images (generally referred to as Jacket_P images) are used by some DVD players to give a visual indication of what disc is available. Jacket_P images are most often utilized by players that can hold more than one DVD at a time (such as a Sony DVD jukebox).

Adding Jacket_P info to a disc is pretty simple. You will need to create one image that will be scaled to three different sizes (or, you could create a separate image for each size if you want to provide simplified graphics at lower resolutions). The three sizes are made available so that the DVD player can select the appropriate one for its display context (menus, details, etc.)

The sizes are as follows:
DVD Media Capacity
Filename | NTSC Size | PAL Size
J00___5L.MP2 | 720x480 | N/A
J00___5M.MP2 | 176x112 | N/A
J00___5S.MP2 | 96x64 | N/A
J00___6L.MP2 | N/A | 720x576
J00___6M.MP2 | N/A | 176x144
J00___6S.MP2 | N/A | 96x80

Note that your menu aspect ratio should be 4:3 and that there are three underscores in a row in the filenames.

As indicated by the filenames above, the images should be saved as MPEG2 encoded images.

Once you've made the files, create a Jacket_P folder, store the images in it, and include the folder as DVD-ROM data in your DSP project.